Subject: Re: Integration of Open vSwitch

From: John Fastabend <[email-masked]>
Date: Wed, 30 Nov 2011 22:41:11 -0800

On 11/30/2011 5:21 AM, Eric Dumazet wrote:
> Le mercredi 30 novembre 2011 à 08:14 -0500, jamal a écrit :
>> On Wed, 2011-11-30 at 15:00 +0800, Herbert Xu wrote:
>>
>>
>>> The other factor I considered is scalability.  The OVS code as is
>>> is not really friendly to SMP/NUMA scalability (but as Eric pointed,
>>> neither is the classifier/action layer). 
>>
>> Did you mean the qdisc funnel-to-interface part which Eric is hopefully
>> going to work on now that bql is in? classifier/action happens way
>> before that.
> 
> Actually I am waiting for John work on this area, before wasting my
> time ;)
> 

I'll try to get these out in the next couple days. Got a few qdiscs
running without the qdisc lock today. After I get some real numbers
and make them at least a bit more presentable I'll post them so
folks can let me know if they think its the right approach.

Thanks,
John.

_______________________________________________
dev mailing list
[email-masked]
http://openvswitch.org/mailman/listinfo/dev